package com.rehome.sgbaxj.DBModel;

import android.os.Parcel;
import android.os.Parcelable;

import org.litepal.crud.DataSupport;

import java.util.List;

/**
 * Created by ruihong on 2018/7/24.
 */

public class Zjrwdata extends DataSupport implements Parcelable {


    private long id;
    private String title;
    private String bagid;
    private String khid;
    private String filecode;
    private String name;
    private String prouserid;
    private String prousername;
    private String type;
    private String iswc;
    private String wcintro;
    private String rwid;
    private String fid;
    private List<Zjrwdatainfo> sbwclist;
    private int SN; //自定义序号
    private boolean isChecked;
    private String countPercent;    //已检/总数

//    下面是上传图片所需的字段
    private String photopatglist;//图片集合
    private String lrsj;//录入时间

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getBagid() {
        return bagid;
    }

    public void setBagid(String bagid) {
        this.bagid = bagid;
    }

    public String getKhid() {
        return khid;
    }

    public void setKhid(String khid) {
        this.khid = khid;
    }

    public String getFilecode() {
        return filecode;
    }

    public void setFilecode(String filecode) {
        this.filecode = filecode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProuserid() {
        return prouserid;
    }

    public void setProuserid(String prouserid) {
        this.prouserid = prouserid;
    }

    public String getProusername() {
        return prousername;
    }

    public void setProusername(String prousername) {
        this.prousername = prousername;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getIswc() {
        return iswc;
    }

    public void setIswc(String iswc) {
        this.iswc = iswc;
    }

    public String getWcintro() {
        return wcintro;
    }

    public void setWcintro(String wcintro) {
        this.wcintro = wcintro;
    }

    public String getRwid() {
        return rwid;
    }

    public void setRwid(String rwid) {
        this.rwid = rwid;
    }

    public String getFid() {
        return fid;
    }

    public void setFid(String fid) {
        this.fid = fid;
    }

    public List<Zjrwdatainfo> getSbwclist() {
        return sbwclist;
    }

    public void setSbwclist(List<Zjrwdatainfo> sbwclist) {
        this.sbwclist = sbwclist;
    }

    public int getSN() {
        return SN;
    }

    public void setSN(int SN) {
        this.SN = SN;
    }

    public boolean isChecked() {
        return isChecked;
    }

    public void setChecked(boolean checked) {
        isChecked = checked;
    }

    public String getCountPercent() {
        return countPercent;
    }

    public void setCountPercent(String countPercent) {
        this.countPercent = countPercent;
    }

    public String getPhotopatglist() {
        return photopatglist;
    }

    public void setPhotopatglist(String photopatglist) {
        this.photopatglist = photopatglist;
    }

    public String getLrsj() {
        return lrsj;
    }

    public void setLrsj(String lrsj) {
        this.lrsj = lrsj;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeLong(this.id);
        dest.writeString(this.title);
        dest.writeString(this.bagid);
        dest.writeString(this.khid);
        dest.writeString(this.filecode);
        dest.writeString(this.name);
        dest.writeString(this.prouserid);
        dest.writeString(this.prousername);
        dest.writeString(this.type);
        dest.writeString(this.iswc);
        dest.writeString(this.wcintro);
        dest.writeString(this.rwid);
        dest.writeString(this.fid);
        dest.writeTypedList(this.sbwclist);
        dest.writeInt(this.SN);
        dest.writeByte(this.isChecked ? (byte) 1 : (byte) 0);
        dest.writeString(this.countPercent);
        dest.writeString(this.photopatglist);
        dest.writeString(this.lrsj);
    }

    public Zjrwdata() {
    }

    protected Zjrwdata(Parcel in) {
        this.id = in.readLong();
        this.title = in.readString();
        this.bagid = in.readString();
        this.khid = in.readString();
        this.filecode = in.readString();
        this.name = in.readString();
        this.prouserid = in.readString();
        this.prousername = in.readString();
        this.type = in.readString();
        this.iswc = in.readString();
        this.wcintro = in.readString();
        this.rwid = in.readString();
        this.fid = in.readString();
        this.sbwclist = in.createTypedArrayList(Zjrwdatainfo.CREATOR);
        this.SN = in.readInt();
        this.isChecked = in.readByte() != 0;
        this.countPercent = in.readString();
        this.photopatglist = in.readString();
        this.lrsj = in.readString();
    }

    public static final Creator<Zjrwdata> CREATOR = new Creator<Zjrwdata>() {
        @Override
        public Zjrwdata createFromParcel(Parcel source) {
            return new Zjrwdata(source);
        }

        @Override
        public Zjrwdata[] newArray(int size) {
            return new Zjrwdata[size];
        }
    };
}
